microsoft-foundry.rest.security.o-auth2-auth
Evals
Delete an evaluation
DELETE
/openai/v1/evals/{eval_id}
Deletes an evaluation and its associated data.
This operation cannot be undone.
Parâmetros de caminho
eval_id
string
obrigatório
The identifier of the evaluation to delete.
Respostas
The request has succeeded.
Corpo
Content-Type: application/json
object
enum
obrigatório
The object type. Always eval.deleted.
eval.deleted
eval_id
string
obrigatório
The identifier of the deleted evaluation.
deleted
boolean
obrigatório
Whether the evaluation was deleted.
Pedir
curl https://api.openai.com/v1/evals/eval_abc123 \
-X DELETE \
-H "Authorization: Bearer $OPENAI_API_KEY"
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
eval = client.evals.delete(
"eval_id",
)
print(eval.eval_id)
import OpenAI from "openai";
const openai = new OpenAI();
const deleted = await openai.evals.delete("eval_abc123");
console.log(deleted);
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const _eval = await client.evals.delete('eval_id');
console.log(_eval.eval_id);
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.evals.EvalDeleteParams;
import com.openai.models.evals.EvalDeleteResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
EvalDeleteResponse eval = client.evals().delete("eval_id");
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
eval_ = openai.evals.delete("eval_id")
puts(eval_)
Response
{
"object": "eval.deleted",
"deleted": true,
"eval_id": "eval_abc123"
}